/* Change these value according to your calibration value */
int Threshold = 650;

#define sensorPin A0
#define echoPin 2 
#define trigPin 3
#define Control 13
int val = 0;

long duration; 
int distance; 


void setup()
{
  Serial.begin(9600);
  pinMode(trigPin, OUTPUT); 
  pinMode(echoPin, INPUT); 
  pinMode(Control, OUTPUT);    
  digitalWrite(Control, LOW);

}

void loop()
{
    
  digitalWrite(trigPin, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigPin, LOW);
  duration = pulseIn(echoPin, HIGH);
  
  distance = duration * 0.034 / 2;
  Serial.print("Distance: ");
  Serial.print(distance);
  Serial.println(" cm");

  int level = analogRead(A0);


 if (distance > 30)
 {
  digitalWrite(Control,LOW);
   Serial.println("Pump Stopped");
 }
 
 else 
  { 
     if (level > Threshold)
    {
       Serial.println("Pump Stopped");
       digitalWrite(Control, LOW); 
    }

  else

   {
    Serial.println("Pump Started");
    digitalWrite(Control, HIGH);
    }
  delay(100);
}

}
